package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("drp_menu_material_supplier")
@ApiModel(
   description = "原料绑定食堂供应商"
)
public class DrpMenuMaterialSupplier implements Serializable {
   private static final long serialVersionUID = 241673783169229609L;
   @TableId
   private Long id;
   private Long canteenId;
   private Long supplierId;
   private Long materialId;
   private Long categoryId;
   private Integer delFlag;
   @TableField(value = "create_by",fill = FieldFill.INSERT)
   @ApiModelProperty("创建人")
   private String createBy;
   @TableField(value = "create_time",fill = FieldFill.INSERT )
   @ApiModelProperty("创建时间")
   private LocalDateTime createTime;
   @TableField(value = "update_by",fill = FieldFill.UPDATE)
   @ApiModelProperty("更新人")
   private String updateBy;
   @TableField(value = "update_time",fill = FieldFill.UPDATE)
   @ApiModelProperty("更新时间")
   private LocalDateTime updateTime;
   private String alternativeSupplier;
   @ApiModelProperty("是否供应 1是 2否")
   private Integer ifSupply;

   public Long getId() {
      return this.id;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getCategoryId() {
      return this.categoryId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }



   public String getAlternativeSupplier() {
      return this.alternativeSupplier;
   }

   public Integer getIfSupply() {
      return this.ifSupply;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setCategoryId(final Long categoryId) {
      this.categoryId = categoryId;
   }

   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }


   public void setAlternativeSupplier(final String alternativeSupplier) {
      this.alternativeSupplier = alternativeSupplier;
   }

   public void setIfSupply(final Integer ifSupply) {
      this.ifSupply = ifSupply;
   }

   public String getCreateBy() {
      return createBy;
   }

   public void setCreateBy(String createBy) {
      this.createBy = createBy;
   }

   public LocalDateTime getCreateTime() {
      return createTime;
   }

   public void setCreateTime(LocalDateTime createTime) {
      this.createTime = createTime;
   }

   public String getUpdateBy() {
      return updateBy;
   }

   public void setUpdateBy(String updateBy) {
      this.updateBy = updateBy;
   }

   public LocalDateTime getUpdateTime() {
      return updateTime;
   }

   public void setUpdateTime(LocalDateTime updateTime) {
      this.updateTime = updateTime;
   }


   @Override
   public String toString() {
      return "DrpMenuMaterialSupplier{" +
              "id=" + id +
              ", canteenId=" + canteenId +
              ", supplierId=" + supplierId +
              ", materialId=" + materialId +
              ", categoryId=" + categoryId +
              ", delFlag=" + delFlag +
              ", createBy='" + createBy + '\'' +
              ", createTime=" + createTime +
              ", updateBy='" + updateBy + '\'' +
              ", updateTime=" + updateTime +
              ", alternativeSupplier='" + alternativeSupplier + '\'' +
              ", ifSupply=" + ifSupply +
              '}';
   }
}
